import { useState } from "react"
import { Link } from "react-router-dom"
import { User } from "../types"

export default function TopBar({ user }: { user: User | undefined }) {
    const [burgerMenuOpen, setBurgerMenuOpen] = useState(false)

    return (
        <div className="bank-section topbar">
            <div className="topbar-left">
                <Link to="/">Home</Link>
                {user?.admin == 1 && (
                    <Link to="/admin">Admin</Link>
                )}
            </div>
            <div className="topbar-center">
                <h1>Tanuki's Bank</h1>
            </div>
            {user ? (
                <div className="topbar-right">
                    <span>{user.name}</span>
                    <button onClick={() => {
                        localStorage.removeItem("token")
                        window.location.reload()
                    }}>
                        Logout
                    </button>
                </div>
            ) : (
                <div className="topbar-right">
                    <Link to="/login">Login</Link>
                    <Link to="/register">Register</Link>
                </div>
            )}
            <div className="burger-menu">
                {burgerMenuOpen && (
                    <div className="burger-menu-content">
                        <Link to="/">Home</Link>
                        {user?.admin == 1 && (
                            <Link to="/admin">Admin</Link>
                        )}
                        {user ? (
                            <div className="burger-menu-user">
                                <span>{user.name}</span>
                                <button onClick={() => {
                                    localStorage.removeItem("token")
                                    window.location.reload()
                                }}>
                                    Logout
                                </button>
                            </div>
                        ) : (
                            <div className="burger-menu-user">
                                <Link to="/login">Login</Link>
                                <Link to="/register">Register</Link>
                            </div>
                        )}
                    </div>
                )}
                <button onClick={() => setBurgerMenuOpen(!burgerMenuOpen)}>
                    {burgerMenuOpen ? "Close" : "Menu"}
                </button>
            </div>
            
        </div>
    )
}